IntegrationsKlaviyo

Aggregate a metric's events per hour/day/week/month in a time range, optionally grouped by dimensions such as List (e.g

POST
/integrations/connections/{connection_id}/providers/klaviyo/metric-aggregates/query

Aggregate a metric's events per hour/day/week/month in a time range, optionally grouped by dimensions such as List (e.g. Subscribed to List per day per list for list growth).

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

connection_id*string

Resource identifier: connection_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/integrations/connections/123e4567-e89b-42d3-a456-426614174000/providers/klaviyo/metric-aggregates/query" \  -H "Content-Type: application/json" \  -d '{    "metric_id": "example",    "measurements": [      "count"    ],    "start": "example",    "end": "example"  }'
{  "dates": [],  "rows": [],  "next_cursor": "example"}